liblinphone 3.9.1

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Fields

Data Fields
_LinphonePresenceModel Struct Reference

## Data Fields
MSList * | services
MSList * | persons
MSList * | notes

## Detailed Description

Represents the presence model as defined in RFC 4479 and RFC 4480. This model is not complete. For example, it does not handle devices.

## Field Documentation

MSList* _LinphonePresenceModel::services

A list of _LinphonePresenceService structures. Also named tuples in the RFC.

MSList* _LinphonePresenceModel::persons

A list of _LinphonePresencePerson structures.

MSList* _LinphonePresenceModel::notes

A list of _LinphonePresenceNote structures.

The documentation for this struct was generated from the following file:

- presence.c